Accept claim and issue a refund

This API lets you accept a claim and issue a refund for that claim.

Claims APIs are available only for our sandbox environment currently.

Outcomes

SettlementCaseclaim_status
RefundAmount < remaining claimunder_review
RefundAmount ≥ remaining claimclosed
CancelCancel does not finish the orderunder_review
CancelCancel finishes the orderclosed

  • Settlement matches Partner Portal:
    • Refund when the customer has already been charged
    • Cancel when the order amount can still be cancelled (customer not charged yet)
  • The request field is always refund_amount (settlement amount), including when Accept cancels.
  • Cancel finishes the order when:
    order_canceled_amount + refund_amount + order_captured_amount ≥ order_total_amount
  • Use amounts from the claim list or detail response.
  • Settling only the claim amount can leave the claim under_review if the order total is larger.

Always send Idempotency-Key to accept a claim.

Checkout.com merchants cannot Accept (403 forbidden).

Path Params
integer
required
Defaults to 792914

Claim identifier

Body Params
refund_amount
object
required

Amount greater than 0 and valid currency

string
Defaults to Customer is correct; issuing refund

Free text; maximum length 255 characters

string
Defaults to merchant-system

Caller system or user identifier for audit; maximum length 255 characters

Headers
string
Defaults to <unique-key-per-logical-operation>

Unique key per logical accept operation (Strongly recommended)

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json